%define upstream_name    Test-Unit
%define upstream_version 0.25

%define _requires_exceptions perl(Error)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Test::Unit::TestCase - unit testing framework base class
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
Test::Unit::TestCase is the 'workhorse' of the PerlUnit framework.
When writing tests, you generally subclass Test::Unit::TestCase,
write set_up and tear_down functions if you need them, a bunch of
test_* test methods, then do

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

%check
# make test fails
#make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog Changes README doc examples
%{perl_vendorlib}/Test/*.p*
%{perl_vendorlib}/Test/Unit
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.250.0-4.mga4
+ Revision: 515373
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-3.mga3
+ Revision: 373874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.250.0-2.mga1
+ Revision: 27131
- mageia rebuild
- imported package perl-Test-Unit


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.250.0-2mdv2011.0
+ Revision: 609167
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-1mdv2010.0
+ Revision: 405599
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.25-6mdv2009.0
+ Revision: 241984
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.25-4mdv2008.0
+ Revision: 25461
- rebuild

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.25-3mdv2008.0
+ Revision: 23806
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.25-2mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.25-1mdk
- 0.25

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.24-2mdk
- filter out perl(Error)

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.24-1mdk
- initial mandrake package

